net.corda.client.jfx.utils

## Class ReplayedList<A>

- net.corda.client.jfx.utils.ReplayedList<A>

-     public class ReplayedList<A>

  This list type just replays changes propagated from the underlying source list. Used for testing changes and backing a non-backed observable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayedList(javafx.collections.ObservableList<A> sourceList)` This list type just replays changes propagated from the underlying source list. Used for testing changes and backing a non-backed observable

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `get(int index)`
    `java.util.ArrayList<A>` | `getReplayedList()`
    `int` | `getSize()`
    `int` | `getSourceIndex(int index)`
    `java.lang.Object` | `remove(int p)`
    `java.lang.Object` | `removeAt(int p)`
    `int` | `size()`
    `void` | `sourceChanged(javafx.collections.ListChangeListener.Change<? extends A> c)`

- - ### Constructor Detail

    - #### ReplayedList

          public ReplayedList(javafx.collections.ObservableList<A> sourceList)

      This list type just replays changes propagated from the underlying source list. Used for testing changes and backing a non-backed observable

  - ### Method Detail

    - #### getReplayedList

          public java.util.ArrayList<A> getReplayedList()

    - #### getSize

          public int getSize()

    - #### size

          public int size()

    - #### sourceChanged

          public void sourceChanged(javafx.collections.ListChangeListener.Change<? extends A> c)

    - #### getSourceIndex

          public int getSourceIndex(int index)

    - #### get

          public A get(int index)

    - #### removeAt

          public java.lang.Object removeAt(int p)

    - #### remove

          public java.lang.Object remove(int p)